Skip to main content
`Ctrl`+`K`

# DMPlexCreatePLYFromFile

Create a `DMPLEX` mesh from a PLY https://en.wikipedia.org/wiki/PLY_(file_format) file.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreatePLYFromFile(MPI_Comm comm, const char filename[], PetscBool interpolate, DM *dm)

## Input Parameters

- comm - The MPI communicator

- filename - Name of the .ply file

- interpolate - Create faces and edges in the mesh

## Output Parameter

- dm - The `DMPLEX` object representing the mesh

## See Also

`DMPlexCreateFromFile()`, `DMPlexCreateGmsh()`, `DMPlexCreate()`

## Level

beginner

## Location

src/dm/impls/plex/plexply.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages